address
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# address

address — A real-world address, generally a postal address

## Synopsis

### Mixed Content Model

    address ::=
    (#PCDATA|personname|honorific|firstname|surname|lineage|othername|
     affiliation|authorblurb|contrib|street|pob|postcode|city|state|
     country|phone|fax|email|otheraddr)*

### Attributes

Common attributes

Name | Type | Default

format

Enumerated notation:

linespecific

"linespecific"

linenumbering

Enumeration:

numbered
unnumbered

None

## Description

An address is generally a postal address, although it does contain elements for `FAX` and `Email` addresses as well as the catch-all `OtherAddr`.

The `linespecific` notation on the `Format` attribute makes line breaks and other spaces significant in an `Address`.

### Processing expectations

Formatted as a displayed block. This element is displayed “verbatim”; whitespace and linebreaks within this element are significant.

### Future Changes

The `xml:space` attribute is automatically provided in the XML DTD.

### Parents

These elements contain address: `affiliation`, `answer`, `appendix`, `appendixinfo`, `article`, `articleinfo`, `author`, `bibliodiv`, `biblioentry`, `bibliography`, `bibliographyinfo`, `bibliomixed`, `bibliomset`, `biblioset`, `blockinfo`, `blockquote`, `bookinfo`, `callout`, `caution`, `chapter`, `chapterinfo`, `confgroup`, `constraintdef`, `editor`, `example`, `figure`, `footnote`, `glossary`, `glossaryinfo`, `glossdef`, `glossdiv`, `important`, `index`, `indexdiv`, `indexinfo`, `informalexample`, `informalfigure`, `itemizedlist`, `listitem`, `msgexplan`, `msgtext`, `note`, `objectinfo`, `orderedlist`, `othercredit`, `para`, `partinfo`, `partintro`, `preface`, `prefaceinfo`, `procedure`, `publisher`, `qandadiv`, `qandaset`, `question`, `refentryinfo`, `referenceinfo`, `refsect1`, `refsect1info`, `refsect2`, `refsect2info`, `refsect3`, `refsect3info`, `refsection`, `refsectioninfo`, `refsynopsisdiv`, `refsynopsisdivinfo`, `revdescription`, `sect1`, `sect1info`, `sect2`, `sect2info`, `sect3`, `sect3info`, `sect4`, `sect4info`, `sect5`, `sect5info`, `section`, `sectioninfo`, `setindex`, `setindexinfo`, `setinfo`, `sidebar`, `sidebarinfo`, `simplesect`, `step`, `tip`, `variablelist`, `warning`.

### Children

The following elements occur in address: `affiliation`, `authorblurb`, `city`, `contrib`, `country`, `email`, `fax`, `firstname`, `honorific`, `lineage`, `otheraddr`, `othername`, `personname`, `phone`, `pob`, `postcode`, `state`, `street`, `surname`.

## Attributes

format

  The `Format` attribute applies the `linespecific` notation to all `Address`es. All white space and line breaks must be preserved.

linenumbering

  Line numbering indicates whether or not the lines of an `Address` are to be automatically numbered. The details of numbering (every line or only selected lines, on the left or right, etc.) are left up to the processing application. Be aware that not all processors are capable of numbering lines.

## See Also

`city`, `country`, `email`, `fax`, `otheraddr`, `phone`, `pob`, `postcode`, `state`, `street`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    An example of a postal mail address in the United States is:
    <address>
    John and Jane Doe
    <street>100 Main Street</street>
    <city>Anytown</city>, <state>NY</state> <postcode>12345</postcode>
    <country>USA</country>
    </address>
    </para>

An example of a postal mail address in the United States is:

John and Jane Doe
100 Main Street
Anytown, NY 12345
USA

For additional examples, see also `bookinfo`, `confgroup`, `publisher` .

Prev | Home | Next
action | Up | affiliation

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.